virt-manager doesn't mention LTS in versions

Bug #942534 reported by Jonathan Davies on 2012-02-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
virtinst (Ubuntu)
Medium
Marc Deslauriers
Precise
Medium
Marc Deslauriers
Quantal
Medium
Marc Deslauriers

Bug Description

virt-manager's "New Virtual Machine" window lists the following for Linux versions:

- Ubuntu 12.04 (Precise Pangolin)
- Ubuntu 10.04 (Lucid Lynx)
- Ubuntu 8.04 LTS (Hardy Heron)

The bottom one is corrent, however the other two should have "LTS" after their version numbers as per the release versioning:

- https://wiki.ubuntu.com/Releases

Attached is a screenshot of what I see.

Jonathan Davies (jpds) wrote :
Changed in virt-manager (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
milestone: none → ubuntu-12.04
Marc Deslauriers (mdeslaur) wrote :

This is in the libvirt package.

affects: virt-manager (Ubuntu) → virtinst (Ubuntu)
Marc Deslauriers (mdeslaur) wrote :

Sorry, I meant "virtinst"

Changed in virtinst (Ubuntu):
assignee: nobody → Serge Hallyn (serge-hallyn)
Serge Hallyn (serge-hallyn) wrote :

Sorry, forgot I don't have upload rights. Here is a debdiff to fix it.

Changed in virtinst (Ubuntu):
assignee: Serge Hallyn (serge-hallyn) → nobody
Jonathan Davies (jpds) on 2012-04-03
tags: added: css-sponsored-p
Marc Deslauriers (mdeslaur) wrote :

ACK on the patch, I'll upload it. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.1-1ubuntu3

---------------
virtinst (0.600.1-1ubuntu3) precise; urgency=low

  * Update 9005_ubuntu_precise.patch to tag 12.04 and 10.04 as LTS releases
    (LP: #942534)
 -- Serge Hallyn <email address hidden> Tue, 03 Apr 2012 08:58:30 -0500

Changed in virtinst (Ubuntu):
status: Triaged → Fix Released
Jonathan Davies (jpds) wrote :

virtinst/osdict.py still has just 10.04 listed, I'm afraid.

Changed in virtinst (Ubuntu):
status: Fix Released → In Progress
Serge Hallyn (serge-hallyn) wrote :

Drat. Thanks. I'm afraid this will have to wait for precise-proposed to open.

tags: added: patch
Timothy Chen (tnachen) wrote :

Attached debdiff to fix the missed LTS on 10.04

Changed in virtinst (Ubuntu Precise):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Quantal):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in virtinst (Ubuntu Precise):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.1-2ubuntu1

---------------
virtinst (0.600.1-2ubuntu1) quantal; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/patches/9003-fix-path-to-hvmloader-in-testsuite.patch: adjust
      testsuite for 0001-fix-path-to-hvmloader.patch and
      0002-Fix-path-to-pygrub.patch.
    - debian/patches/9004_ubuntu_fix_tree_support.patch: Fix tree detection
      for all ISO/HTTP source, to not longer fail with cobbler/koan.
    - debian/patches/0004-Fix-path-to-qemu-dm.patch: fix the path to the
      qemu-dm binary.
    - debian/{control,rules,pyversions}: Build using dh_python2, use
      debhelper v8 instead of cdbs; for some reason the package build an
      empty binary package when using dh_python2.
    - debian/control: added acl package to depends.
    - debian/control: added libvirt-bin to recommends
  * debian/patches/9005_ubuntu_releases.patch: Add new Ubuntu releases and
    properly tag LTS releases. (LP: #942534)

virtinst (0.600.1-2) unstable; urgency=low

  * [5e59401] Fix location of Debian daily builds.
    Thanks to Gaudenz Steinlin (Closes: #668627)
 -- Marc Deslauriers <email address hidden> Thu, 24 May 2012 15:56:08 -0400

Changed in virtinst (Ubuntu Quantal):
status: In Progress → Fix Released
Marc Deslauriers (mdeslaur) wrote :

SRU request.

Impact: Lucid isn't shown as an LTS release in virt-manager. Also, Quantal is not in the list of installable versions.

Developement fix: This was fixed in Quantal by updating the patch to add Quantal, and LTS to Lucid.

Stable fix: a minimal debdiff was prepared with the same updated patch as the Quantal.

Test case:
1- open virt-manager
2- create a new vm
3- make sure "Quantal" is in the list, and Lucid is listed as LTS

Regression potential:
I can't think of any possible regression with this simple fix.

Marc Deslauriers (mdeslaur) wrote :

Hello Jonathan, or anyone else affected,

Accepted virtinst into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in virtinst (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

I can confirm that it's correctly listed as a LTS with the SRU

Changed in virtinst (Ubuntu Precise):
importance: Undecided → Medium
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtinst - 0.600.1-1ubuntu3.1

---------------
virtinst (0.600.1-1ubuntu3.1) precise-proposed; urgency=low

  * debian/patches/9005_ubuntu_precise.patch: Updated to properly tag LTS
    releases and to add Quantal. (LP: #942534)
 -- Marc Deslauriers <email address hidden> Fri, 25 May 2012 09:53:25 -0400

Changed in virtinst (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers